#include <stdio.h>
#include <stdlib.h>
char* str;
int main()
{
    char c1,c2;
    int a1,a2;
    scanf("%c%c",&c1,&c2);
    scanf("%d %d",&a1,&a2);
    if(a1-a2<-1||a2-a1<-1)
    {
        printf("nemoguce");
    }
    else
    {
        str=malloc(a1+a2+1);
        if(a1>a2)
        {
            for(int c=0;c<a1+a2;c++)
            {
                if(c%2==0)
                {
                    str[c]=c1;
                }
                else
                {
                    str[c]=c2;
                }
            }
        }
        else
        {
            for(int c=0;c<a1+a2;c++)
            {
                if(c%2==0)
                {
                    str[c]=c2;
                }
                else
                {
                    str[c]=c1;
                }
            }
        }
        str[a1+a2]=0;
        printf("%s",str);
    }
    return 0;
}